Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class Attribute

    java.lang.Object
      convert.relaxng.output.xsd.basic.Located
          convert.relaxng.output.xsd.basic.Annotated
              convert.relaxng.output.xsd.basic.AttributeUse
                  convert.relaxng.output.xsd.basic.SingleAttributeUse
                      convert.relaxng.output.xsd.basic.Attribute

All Implemented Interfaces:
  Structure

    public class Attribute

extends SingleAttributeUse
implements Structure

Constructor Summary
`Attribute(SourceLocation location, Annotation annotation, Name name, SimpleType type)` type may be null, indicating any type

Method Summary
`
`<T> T`
` | `accept(AttributeUseVisitor<T> visitor)`
`
`<T> T`
` | `accept(StructureVisitor<T> visitor)`
`boolean` | `equals(java.lang.Object obj)`
`Name` | `getName()`
`SimpleType` | `getType()`
`int` | `hashCode()`
`boolean` | `isOptional()`

Methods inherited from class convert.relaxng.output.xsd.basic.SingleAttributeUse
`getDefaultValue`

Methods inherited from class convert.relaxng.output.xsd.basic.Annotated
`getAnnotation`

Methods inherited from class convert.relaxng.output.xsd.basic.Located
`getLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(SourceLocation location,
                     Annotation annotation,
                     Name name,
                     SimpleType type)

  type may be null, indicating any type

Method Detail

### getName

    public Name getName()

  Specified by:
    `getName` in interface `Structure`
  Specified by:
    `getName` in class `SingleAttributeUse`

### getType

    public SimpleType getType()

  Specified by:
    `getType` in class `SingleAttributeUse`

### accept

    public <T> T accept(AttributeUseVisitor<T> visitor)

  Specified by:
    `accept` in class `AttributeUse`

### accept

    public <T> T accept(StructureVisitor<T> visitor)

  Specified by:
    `accept` in interface `Structure`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `Annotated`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Annotated`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in class `SingleAttributeUse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD